Loading...
Searching...
No Matches
OpenMesh::SmartHandleStatusPredicates< HandleType > Class Template Reference

Base class for all smart handle types that contains status related methods. More...

`#include <OpenMesh/Core/Mesh/SmartHandles.hh>`

## Public Member Functions

bool | feature () const
| Returns true iff the handle is marked as feature.
bool | selected () const
| Returns true iff the handle is marked as selected.
bool | tagged () const
| Returns true iff the handle is marked as tagged.
bool | tagged2 () const
| Returns true iff the handle is marked as tagged2.
bool | locked () const
| Returns true iff the handle is marked as locked.
bool | hidden () const
| Returns true iff the handle is marked as hidden.
bool | deleted () const
| Returns true iff the handle is marked as deleted.

## Detailed Description

template<typename HandleType>
class OpenMesh::SmartHandleStatusPredicates< HandleType >

Base class for all smart handle types that contains status related methods.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/SmartHandles.hh